View Issue Details

IDProjectCategoryView StatusLast Update
0000888Main CAcert WebsiteAudit issuespublic2013-05-01 01:09
ReporterUli60 Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2010 Q4 
Fixed in Version2013 Q1 
Summary0000888: to add new assurance method TTP
Descriptionregarding new TTP-Assisted Assurance Policy (2010-09-10)
https://svn.cacert.org/CAcert/Policies/TTPAssistedAssurancePolicy.html

A new assurance method "TTP" have to be introduced to seperate old "Trusted Third Parties" and "Trusted 3rd Parties" methods from the AP conform new TTP-Assisted-Assurance method to be auditable.

Its possible, that a new subpolicy will come in the future to handle the old programs points count like the "Thawte points revocation".
To identify the old from the new program, the new method needs to be flagged as the new TTP program in difference to the old program.

Old program is listed in the system also as "" method (empty method field!!!) (caused by a software bug, still in the system), method "Face 2 Face" with locations field "TTP" or "TPP" set.

The old program lists points in a range from 0-150 points. The new program is to limit to 0-35 points
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0000864 needs workBenBE Main CAcert Website enable TOPUP assurance type into the system (regarding TTP) 
related to 0000863 needs workEva Main CAcert Website limitation to 2 ttp assurances 
related to 0000976 closedUli60 Main CAcert Website List of update request for webdb database structure upgrade with tables / fields 
related to 0000855 closedUli60 Main CAcert Website Fix adding TTP assurance method on testserver (was: admin console lists "empty" and "Unknown" ...) 
related to 0000827 closedegal Main CAcert Website Tverify points to be deprecated 
related to 0000740 closed Main CAcert Website How to become an assurer is missleading 
related to 0001118 closedNEOatNHNG Main CAcert Website Add new fields to the database 
related to 0000223 confirmed Main CAcert Website Auditor Interface 
related to 0001112 closed Main CAcert Website Exchange the text on the TTP page according to the new TTP programm 
parent of 0000988 needs review & testingEva Main CAcert Website TTP CAP form deployment 
related to 0000980 needs workNEOatNHNG test.cacert.org Add to ca-mgr1 routine for Edit Notary table XYZ entry 
related to 0001134 closedNEOatNHNG Main CAcert Website Delete the board flag thourougly in all parts of our software 
child of 0000878 needs work Main CAcert Website replace locations-database-set with new dataset or alternate solution a20090427.2 
Not all the children of this issue are yet resolved or closed.

Activities

Uli60

2011-09-15 00:38

updater   ~0002440

Last edited: 2011-09-15 01:32

View 5 revisions

added testusers accounts to cacert1

old style -> TTP asssurance -> method field empty
bug888.old1@wiamail.de 1950
bug888.old2@wiamail.de 1960
bug888.old3@wiamail.de 1970
bug888.old4@wiamail.de 1990
bug888.old5@wiamail.de 1995

old style -> TTP asssurance -> method field F2F, locations field "TTP"
bug888.old6@wiamail.de 1950
bug888.old7@wiamail.de 1960
bug888.old8@wiamail.de 1970
bug888.old9@wiamail.de 1990
bug888.olda@wiamail.de 1995

awarded and points has points listed.
old assurances before 2006 had no awarded column.
for testing probably an SA needs to set the awarded field for user bug888.user2 and bug888.user7 to "0" (!!)

bug#855 fix needs to be activated before new TTP patches will be applied to testserver, so testers can create addtl. user test records with "Trusted Third Parties" assurance method in database field
w/o bug#855 testers cannot create assurance method TTP (instead empty method)

Notary IDs with TTP assurances under account ulrich@c.o (assurances given - view under Admin console)
255391, 255395, 255397, 255428,
256821, 256822, 256823, 256824, 256825
256826, 256827, 256828, 256829, 256830

INOPIAE

2012-12-02 17:49

updater   ~0003375

Last edited: 2012-12-02 22:16

View 2 revisions

I added the bug 888 to https://github.com/INOPIAE/CAcert/tree/bug-888.
This fix can ONLY be applied if the bug fix for 0001118
https://bugs.cacert.org/view.php?id=1118
is applied to the test server/ productive server as the change of the database is needed.

INOPIAE

2012-12-11 23:58

updater   ~0003396

Added a new TTP assurance.
Method shows TTP-Assisted. =>OK
=>OK

MartinGummi

2012-12-12 01:09

updater   ~0003399

Assure someone with TTP

i have no fill points or not ticked the boxes the Methode switched back to Face To Face


266168 2012-12-12 Hans Dampf 0 VirtualTTP TTP-Assisted

Uli60

2012-12-18 22:26

updater   ~0003464

created new user:
bug888.user1@w.d
adding TTP-admin flag on ttpadmin user

login ttpadmin user
assure someone
bug888.user1@w.d

no checkbox on
I certify that Bug888 User1 has appeared in person

location
test ttp

method
Trusted 3rd Parties

I believe that the assertion => checked
I have read and understood the AP => checked
35 pts

my points
wot.10
266172 2012-12-18 Bug888 User1 35 test ttp TTP-Assisted
=> ok

wot.15
266172 2012-12-18 Bug888 User1 35 test ttp TTP-Assisted
Experience Pts = 0
=> ok

Uli60

2012-12-18 22:29

updater   ~0003465

reviewed by BenBe 0000948:0002012-12-11

NEOatNHNG

2013-01-15 21:59

administrator   ~0003663

Patch looks good => ready for deployment

wytze

2013-01-17 15:23

developer   ~0003683

The fix has been installed on the production server on January 17, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-01/msg00002.html

Issue History

Date Modified Username Field Change
2010-11-10 02:44 Uli60 New Issue
2010-11-10 02:58 Uli60 Description Updated
2011-07-03 12:26 Uli60 Relationship added related to 0000864
2011-07-03 12:30 Uli60 Relationship added related to 0000863
2011-08-31 11:19 Uli60 Relationship added related to 0000976
2011-08-31 12:06 Uli60 Relationship added related to 0000855
2011-09-12 00:38 Uli60 Assigned To => Uli60
2011-09-12 00:38 Uli60 Status new => needs work
2011-09-15 00:38 Uli60 Note Added: 0002440
2011-09-15 00:46 Uli60 Note Edited: 0002440 View Revisions
2011-09-15 00:55 Uli60 Note Edited: 0002440 View Revisions
2011-09-15 01:17 Uli60 Relationship added related to 0000827
2011-09-15 01:27 Uli60 Note Edited: 0002440 View Revisions
2011-09-15 01:32 Uli60 Note Edited: 0002440 View Revisions
2011-09-17 12:14 Uli60 Relationship added related to 0000980
2011-09-17 19:45 Uli60 Relationship added related to 0000878
2011-09-17 19:52 Uli60 Relationship replaced child of 0000878
2011-09-17 20:13 Uli60 Relationship added related to 0000740
2011-09-30 16:54 Uli60 Relationship added parent of 0000988
2012-11-29 22:15 INOPIAE Relationship added related to 0001118
2012-12-02 17:49 INOPIAE Note Added: 0003375
2012-12-02 17:49 INOPIAE Assigned To Uli60 => BenBE
2012-12-02 17:49 INOPIAE Status needs work => fix available
2012-12-02 22:16 INOPIAE Note Edited: 0003375 View Revisions
2012-12-11 23:58 INOPIAE Note Added: 0003396
2012-12-12 01:09 MartinGummi Note Added: 0003399
2012-12-18 22:26 Uli60 Note Added: 0003464
2012-12-18 22:28 Uli60 Status fix available => needs review & testing
2012-12-18 22:29 Uli60 Note Added: 0003465
2012-12-18 22:29 Uli60 Assigned To BenBE => NEOatNHNG
2012-12-18 22:29 Uli60 Status needs review & testing => needs review
2012-12-20 18:41 Werner Dworak Relationship added related to 0000223
2012-12-23 09:23 Werner Dworak Relationship added related to 0001112
2013-01-06 21:09 BenBE Reviewed by => BenBE
2013-01-09 04:07 Werner Dworak Relationship added related to 0001134
2013-01-15 21:59 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-01-15 21:59 NEOatNHNG Note Added: 0003663
2013-01-15 21:59 NEOatNHNG Status needs review => ready to deploy
2013-01-15 22:31 BenBE Product Version => 2010 Q4
2013-01-15 22:31 BenBE Fixed in Version => 2013 Q1
2013-01-15 23:17 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable c8b0b6fb
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a53a87fd
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a98bf0e4
2013-01-16 04:30 BenBE Source_changeset_attached => cacert-devel release 05f00889
2013-01-17 15:23 wytze Note Added: 0003683
2013-01-17 15:23 wytze Status ready to deploy => solved?
2013-01-17 15:23 wytze Resolution open => fixed
2013-05-01 01:09 INOPIAE Status solved? => closed